import { ComponentType, ReactElement, ReactNode } from 'react';
import { ControllerRenderProps, UseFormMethods } from 'react-hook-form';
import { FieldControlProps } from './FieldControl';
import { GridItemProps } from '../types';
interface ReadModeProps {
    value: any;
}
export interface FieldPrototypeProps extends GridItemProps {
    name: string;
    label: ReactNode | string;
    id: string;
    required?: boolean;
    disabled?: boolean;
    tip?: ReactNode | string;
    helperText?: ReactNode;
}
interface InnerPrototypeProps {
    isInvalid: boolean;
}
interface IProps extends Omit<FieldControlProps, 'children' | 'errorText'> {
    children: (methods: UseFormMethods, controllerProps: ControllerRenderProps, innerProps: InnerPrototypeProps) => ReactElement;
    readModeComponent?: ComponentType<ReadModeProps>;
}
declare const FieldPrototype: ({ children, name, isRequired, ...props }: IProps) => JSX.Element;
export { FieldPrototype };
