/// <reference types="react" />
import { NamedProps } from 'react-select';
import { OptionType } from '../../types';
export declare type SelectInputProps = NamedProps<OptionType, boolean> & {
    options: OptionType[];
    isInvalid?: boolean;
};
declare type Options = OptionType[];
declare const getValue: (value: unknown, isMulti: boolean) => any;
declare const findOptions: (selectedValues: Array<unknown>, options: Options) => Options;
declare const findOption: (selectedValue: unknown, options: Options) => OptionType | null;
declare const getReadValue: (value: unknown, options: Options, isMulti: boolean) => string;
declare const SelectInput: ({ id, isInvalid, isClearable, noOptionsMessage, loadingMessage, ...props }: SelectInputProps) => JSX.Element;
export { SelectInput, getValue, getReadValue, findOption, findOptions };
